"use strict";

var _react = _interopRequireDefault(require("react"));

var _CircularProgress = _interopRequireDefault(require("@material-ui/core/CircularProgress"));

var _EmailEditor = _interopRequireDefault(require("./EmailEditor"));

var _EmailEditorErrorGraphic = _interopRequireDefault(require("../EmailEditorErrorGraphic"));

var _useEmailTemplates = _interopRequireDefault(require("../useEmailTemplates"));

var _TreeView = _interopRequireDefault(require("../TreeView"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('../useEmailTemplates');

const expectElement = El => expect(global.shallow( /*#__PURE__*/_react.default.createElement(_EmailEditor.default, null)).find(El).exists()).toBeTruthy();

describe('EmailEditor', () => {
  it('should display loading indiciator', () => {
    _useEmailTemplates.default.mockReturnValue({
      ready: false
    });

    expectElement(_CircularProgress.default);
  });
  it('should display graphic', () => {
    _useEmailTemplates.default.mockReturnValue({
      ready: true,
      error: true
    });

    expectElement(_EmailEditorErrorGraphic.default);
  });
  it('should display code preview', () => {
    _useEmailTemplates.default.mockReturnValue({
      ready: true,
      error: false
    });

    expectElement(_TreeView.default);
  });
});